org.licas.util

## Class ServiceConst

- java.lang.Object
- - org.licas.util.ServiceConst

-     public class ServiceConst
      extends java.lang.Object

  Constant values relating to service configuration and use.
  Author:
    Kieran Greer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ADDRESSBOOK` The address book tag
    `static java.lang.String` | `ADDRESSGROUPS` The address groups tag
    `static java.lang.String` | `ADDRESSINFO` The address info tag
    `static java.lang.String` | `ALLCATEGORIES` The All Categories tag
    `static java.lang.String` | `APPHOME`
    `static java.lang.String` | `BASE` Defines a base service
    `static java.lang.String` | `BEHAVIOUR` Defines the behaviour service
    `static java.lang.String` | `BEHAVIOURAGGREGATEVIEW` Defines a default behaviour cluster view
    `static int` | `BEHAVIOURLOOPSLEEP` The default behaviour loop sleep time (ms)
    `static java.lang.String` | `BEHAVIOURMEDIATOR` Defines a default behaviour mediator service type
    `static java.lang.String` | `BUSINESSCATEGORY` The Business Category tag
    `static int` | `CALLTHREADS` Default number of call executor threads
    `static java.lang.String` | `CONFIGBKUPFILE`
    `static java.lang.String` | `CONFIGDIR` Dir for config files - might need to be reset depending on installation
    `static java.lang.String` | `CONFIGFILE`
    `static java.lang.String` | `DATADIR`
    `static java.lang.String` | `DATAGENERATOR` Defines the data generator tag - Use as XML tag
    `static java.lang.String` | `DATAGENERATORTYPE` Defines the data generator type - use as Type in GUI
    `static java.lang.String` | `DATAHUB` Defines a default data hub service type
    `static java.lang.String` | `DATAHUBXML` Defines a default data hub service tag
    `static java.lang.String` | `DEFAULTJARFACTORY` The Jar Factory tag
    `static java.lang.String` | `DEFAULTSERVICEFACTORY` The default service factory tag
    `static java.lang.String` | `DEFAULTSERVICES` The default service factory tag
    `static java.lang.String` | `EMAIL` Defines the email service
    `static java.lang.String` | `EVALUATE` Defines the evaluation service
    `static java.lang.String` | `FEED` Defines the feed service
    `static java.lang.String` | `FILE` Defines the file path or service
    `static java.lang.String` | `FILES` Defines the file paths
    `static java.lang.String` | `FUNCTIONHANDLER` Defines the function handler tag
    `static java.lang.String` | `FUNCTIONTYPE` Defines the function type tag
    `static java.lang.String` | `GROUP` The group tag
    `static java.lang.String` | `GUI` The GUI interface tag
    `static java.lang.String` | `GUICLASSNAME` The GUI classname tag
    `static java.lang.String` | `GUIHANDLER` The GUI handler tag
    `static java.lang.String` | `HISTPLOTVIEW` Defines a histogram plot view
    `static java.lang.String` | `IINDEX` Defines prefix for service name
    `static java.lang.String` | `IMAGEDIR`
    `static java.lang.String` | `INFORMATION` Defines the information service
    `static int` | `INITSLEEP` The default message loop sleep time (ms)
    `static java.lang.String` | `JARFACTORY` The Jar Factory tag
    `static java.lang.String` | `LIBPATH` The path to the lib folder in the distribution folder
    `static java.lang.String` | `LICASCONFIG` The licas config tag
    `static java.lang.String` | `LICASHOME`
    `static java.lang.String` | `LINEPLOTVIEW` Defines a line plot view
    `static java.lang.String` | `LINKER` Defines the linking service or handle
    `static java.lang.String` | `MESSAGE` Defines the message service
    `static java.lang.String` | `MESSAGEBOARD` Defines the message board service
    `static int` | `MESSAGESLEEP` The default message loop sleep time (ms)
    `static java.lang.String` | `MODULESDIR`
    `static java.lang.String` | `NEXTADDRESS` The next address tag
    `static java.lang.String` | `PERSONALCATEGORY` The Business Category tag
    `static java.lang.String` | `REPLACEWITHADDRESS` The replace with address symbol
    `static java.lang.String` | `RESOURCESDIR` Dir for resource icons - might need to be reset depending on installation
    `static java.lang.String` | `SCATTERPLOTVIEW` Defines a scatter plot view
    `static java.lang.String` | `SCIENCECATEGORY` The Scientific Category tag
    `static java.lang.String` | `SCRIPTSDIR`
    `static java.lang.String` | `SERVERCONFIG` Server config tag
    `static java.lang.String` | `SERVERGUI` Server gui tag
    `static java.lang.String` | `SERVICEFACTORY` The Service Factory tag
    `static java.lang.String` | `SERVICESDIR` default directories
    `static java.lang.String` | `TEMPDIR`
    `static java.lang.String` | `TESTCATEGORY` The Test Category tag
    `static java.lang.String` | `TIMER` Defines a timer service
    `static java.lang.String` | `USERHOME` Base directories
    `static java.lang.String` | `UTILITY` Defines a utility service
    `static java.lang.String` | `WEBHOME`
    `static java.lang.String` | `WEBQUERYSERVICE` Defines the web query service
    `static java.lang.String` | `WEBSEARCHHOME` The path to the root folder for text file searches over the web
    `static java.lang.String` | `WEBSERVICE` Defines the web service

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceConst()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `checkClassName(java.lang.String className)` Check the class type for any recent class changes.
    `static java.util.ArrayList<java.lang.String>` | `getAdminConfigTypes()` Get the lit of all service category types.
    `static java.util.ArrayList<java.lang.String>` | `getServerServiceTypes()` Get a list of default licas-based search types.
    `static java.util.ArrayList<java.lang.String>` | `getServiceCategories()` Get the lit of all service category types.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USERHOME

          public static final java.lang.String USERHOME

      Base directories

    - #### LICASHOME

          public static final java.lang.String LICASHOME

    - #### APPHOME

          public static final java.lang.String APPHOME

    - #### WEBHOME

          public static final java.lang.String WEBHOME

    - #### TEMPDIR

          public static final java.lang.String TEMPDIR

    - #### CONFIGDIR

          public static final java.lang.String CONFIGDIR

      Dir for config files - might need to be reset depending on installation

    - #### RESOURCESDIR

          public static final java.lang.String RESOURCESDIR

      Dir for resource icons - might need to be reset depending on installation

    - #### SERVICESDIR

          public static final java.lang.String SERVICESDIR

      default directories

    - #### SCRIPTSDIR

          public static final java.lang.String SCRIPTSDIR

    - #### MODULESDIR

          public static final java.lang.String MODULESDIR

    - #### DATADIR

          public static final java.lang.String DATADIR

    - #### IMAGEDIR

          public static final java.lang.String IMAGEDIR

    - #### CONFIGFILE

          public static final java.lang.String CONFIGFILE

    - #### CONFIGBKUPFILE

          public static final java.lang.String CONFIGBKUPFILE

    - #### LIBPATH

          public static final java.lang.String LIBPATH

      The path to the lib folder in the distribution folder

    - #### WEBSEARCHHOME

          public static final java.lang.String WEBSEARCHHOME

      The path to the root folder for text file searches over the web

    - #### LICASCONFIG

          public static final java.lang.String LICASCONFIG

      The licas config tag
      See Also:
        Constant Field Values

    - #### SERVERCONFIG

          public static final java.lang.String SERVERCONFIG

      Server config tag
      See Also:
        Constant Field Values

    - #### SERVERGUI

          public static final java.lang.String SERVERGUI

      Server gui tag
      See Also:
        Constant Field Values

    - #### DEFAULTSERVICEFACTORY

          public static final java.lang.String DEFAULTSERVICEFACTORY

      The default service factory tag
      See Also:
        Constant Field Values

    - #### SERVICEFACTORY

          public static final java.lang.String SERVICEFACTORY

      The Service Factory tag
      See Also:
        Constant Field Values

    - #### DEFAULTJARFACTORY

          public static final java.lang.String DEFAULTJARFACTORY

      The Jar Factory tag
      See Also:
        Constant Field Values

    - #### JARFACTORY

          public static final java.lang.String JARFACTORY

      The Jar Factory tag
      See Also:
        Constant Field Values

    - #### DEFAULTSERVICES

          public static final java.lang.String DEFAULTSERVICES

      The default service factory tag
      See Also:
        Constant Field Values

    - #### FUNCTIONHANDLER

          public static final java.lang.String FUNCTIONHANDLER

      Defines the function handler tag
      See Also:
        Constant Field Values

    - #### FUNCTIONTYPE

          public static final java.lang.String FUNCTIONTYPE

      Defines the function type tag
      See Also:
        Constant Field Values

    - #### DATAGENERATOR

          public static final java.lang.String DATAGENERATOR

      Defines the data generator tag - Use as XML tag
      See Also:
        Constant Field Values

    - #### DATAGENERATORTYPE

          public static final java.lang.String DATAGENERATORTYPE

      Defines the data generator type - use as Type in GUI
      See Also:
        Constant Field Values

    - #### GUI

          public static final java.lang.String GUI

      The GUI interface tag
      See Also:
        Constant Field Values

    - #### GUIHANDLER

          public static final java.lang.String GUIHANDLER

      The GUI handler tag
      See Also:
        Constant Field Values

    - #### GUICLASSNAME

          public static final java.lang.String GUICLASSNAME

      The GUI classname tag
      See Also:
        Constant Field Values

    - #### GROUP

          public static final java.lang.String GROUP

      The group tag
      See Also:
        Constant Field Values

    - #### BASE

          public static final java.lang.String BASE

      Defines a base service
      See Also:
        Constant Field Values

    - #### UTILITY

          public static final java.lang.String UTILITY

      Defines a utility service
      See Also:
        Constant Field Values

    - #### LINKER

          public static final java.lang.String LINKER

      Defines the linking service or handle
      See Also:
        Constant Field Values

    - #### TIMER

          public static final java.lang.String TIMER

      Defines a timer service
      See Also:
        Constant Field Values

    - #### BEHAVIOUR

          public static final java.lang.String BEHAVIOUR

      Defines the behaviour service
      See Also:
        Constant Field Values

    - #### BEHAVIOURLOOPSLEEP

          public static final int BEHAVIOURLOOPSLEEP

      The default behaviour loop sleep time (ms)
      See Also:
        Constant Field Values

    - #### MESSAGESLEEP

          public static final int MESSAGESLEEP

      The default message loop sleep time (ms)
      See Also:
        Constant Field Values

    - #### INITSLEEP

          public static final int INITSLEEP

      The default message loop sleep time (ms)
      See Also:
        Constant Field Values

    - #### CALLTHREADS

          public static final int CALLTHREADS

      Default number of call executor threads
      See Also:
        Constant Field Values

    - #### EVALUATE

          public static final java.lang.String EVALUATE

      Defines the evaluation service
      See Also:
        Constant Field Values

    - #### INFORMATION

          public static final java.lang.String INFORMATION

      Defines the information service
      See Also:
        Constant Field Values

    - #### FEED

          public static final java.lang.String FEED

      Defines the feed service
      See Also:
        Constant Field Values

    - #### MESSAGE

          public static final java.lang.String MESSAGE

      Defines the message service
      See Also:
        Constant Field Values

    - #### MESSAGEBOARD

          public static final java.lang.String MESSAGEBOARD

      Defines the message board service
      See Also:
        Constant Field Values

    - #### FILES

          public static final java.lang.String FILES

      Defines the file paths
      See Also:
        Constant Field Values

    - #### FILE

          public static final java.lang.String FILE

      Defines the file path or service
      See Also:
        Constant Field Values

    - #### WEBSERVICE

          public static final java.lang.String WEBSERVICE

      Defines the web service
      See Also:
        Constant Field Values

    - #### WEBQUERYSERVICE

          public static final java.lang.String WEBQUERYSERVICE

      Defines the web query service
      See Also:
        Constant Field Values

    - #### EMAIL

          public static final java.lang.String EMAIL

      Defines the email service
      See Also:
        Constant Field Values

    - #### DATAHUB

          public static final java.lang.String DATAHUB

      Defines a default data hub service type
      See Also:
        Constant Field Values

    - #### DATAHUBXML

          public static final java.lang.String DATAHUBXML

      Defines a default data hub service tag
      See Also:
        Constant Field Values

    - #### BEHAVIOURMEDIATOR

          public static final java.lang.String BEHAVIOURMEDIATOR

      Defines a default behaviour mediator service type
      See Also:
        Constant Field Values

    - #### BEHAVIOURAGGREGATEVIEW

          public static final java.lang.String BEHAVIOURAGGREGATEVIEW

      Defines a default behaviour cluster view
      See Also:
        Constant Field Values

    - #### LINEPLOTVIEW

          public static final java.lang.String LINEPLOTVIEW

      Defines a line plot view
      See Also:
        Constant Field Values

    - #### SCATTERPLOTVIEW

          public static final java.lang.String SCATTERPLOTVIEW

      Defines a scatter plot view
      See Also:
        Constant Field Values

    - #### HISTPLOTVIEW

          public static final java.lang.String HISTPLOTVIEW

      Defines a histogram plot view
      See Also:
        Constant Field Values

    - #### IINDEX

          public static final java.lang.String IINDEX

      Defines prefix for service name
      See Also:
        Constant Field Values

    - #### ADDRESSINFO

          public static final java.lang.String ADDRESSINFO

      The address info tag
      See Also:
        Constant Field Values

    - #### ADDRESSBOOK

          public static final java.lang.String ADDRESSBOOK

      The address book tag
      See Also:
        Constant Field Values

    - #### NEXTADDRESS

          public static final java.lang.String NEXTADDRESS

      The next address tag
      See Also:
        Constant Field Values

    - #### ADDRESSGROUPS

          public static final java.lang.String ADDRESSGROUPS

      The address groups tag
      See Also:
        Constant Field Values

    - #### ALLCATEGORIES

          public static final java.lang.String ALLCATEGORIES

      The All Categories tag
      See Also:
        Constant Field Values

    - #### BUSINESSCATEGORY

          public static final java.lang.String BUSINESSCATEGORY

      The Business Category tag
      See Also:
        Constant Field Values

    - #### PERSONALCATEGORY

          public static final java.lang.String PERSONALCATEGORY

      The Business Category tag
      See Also:
        Constant Field Values

    - #### SCIENCECATEGORY

          public static final java.lang.String SCIENCECATEGORY

      The Scientific Category tag
      See Also:
        Constant Field Values

    - #### TESTCATEGORY

          public static final java.lang.String TESTCATEGORY

      The Test Category tag
      See Also:
        Constant Field Values

    - #### REPLACEWITHADDRESS

          public static final java.lang.String REPLACEWITHADDRESS

      The replace with address symbol
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ServiceConst

          public ServiceConst()

  - ### Method Detail

    - #### getServerServiceTypes

          public static java.util.ArrayList<java.lang.String> getServerServiceTypes()

      Get a list of default licas-based search types.
      Returns:
        a list of default search types.

    - #### getServiceCategories

          public static java.util.ArrayList<java.lang.String> getServiceCategories()

      Get the lit of all service category types.
      Returns:
        a list of service category types.

    - #### getAdminConfigTypes

          public static java.util.ArrayList<java.lang.String> getAdminConfigTypes()

      Get the lit of all service category types.
      Returns:
        a list of service category types.

    - #### checkClassName

          public static java.lang.String checkClassName(java.lang.String className)

      Check the class type for any recent class changes.
      Parameters:
        `className` - the class name.
      Returns:
        the current correct type for the class name.